
	rcx := RCX new.
	"rcx := RCX onPort: 2."
	rcx isAlive. "Display it"
	motor1 := rcx motor: 1.
	motor1 start. "Should start the motor"
	motor1 stop. "And stop it"

	motor1 power: 1. "Set the power to minimum"
	motor1 start. "Try to stop the motor with your fingers"
	motor1 fullPower. "Maximum power - try to stop it now!"
	motor1 stop. "All done"

	motor1 start.
	motor1 backward. "Motor should change direction"
	motor1 forward. "And back again"
	motor1 reverse. "Toggles the direction"
	motor1 reverse. "And back again"
	
	motor1 isBackward. "Display it"
	motor1 isForward. "Display it"
	motor1 power. "Display it"

	motor1 float. "Disengages the drive"motor2 := rcx motor: 2.

	motor2 := rcx motor: 2.
	motor1 start. motor2 start.

     	motor1 start. motor2 start.
	rcx stopAllMotors. "All stop!!"

	touch := rcx touchSensor: 1. "Ask for the touch sensor on port 1" 
	light := rcx lightSensor: 2. "Ask for the light sensor on port 2"

	touch value. "Display it"
	light value.37 "Display it"

	touch rawValue. "Display it"
	light rawValue. "Display it" 

	touch ifTrueDo: [rcx soundTrillUp

	touch beTransitionCounter.
	touch ifTrueDo: [rcx soundTrillUp. touch clear].

	rcx createProgram: 1 with: [
             rcx soundTrillUp.
"             motor1 start. motor2 start. 
             touch whileFalseRepeat.
             motor1 stop. motor2 stop.
"
             rcx soundTrillDown].

	rcx startProgram: 1. 

	rcx sound: 1.
	rcx sound: 2.
	rcx sound: 3.
	rcx sound: 4.
	rcx sound: 5.
	robot := AntennaRobot new.
	robot explore.
